Package org.springframework.util

# Interface ReflectionUtils.FieldFilter

Enclosing class:
  ReflectionUtils

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface ReflectionUtils.FieldFilter
Callback optionally used to filter fields to be operated on by a field callback.

## Method Summary

Modifier and Type
Method
Description
`default ReflectionUtils.FieldFilter`
`and(ReflectionUtils.FieldFilter next)`
Create a composite filter based on this filter and the provided filter.
`boolean`
`matches(Field field)`
Determine whether the given field matches.

## Method Details

### matches

boolean matches(Field field)
Determine whether the given field matches.

Parameters:
  `field` - the field to check

### and

default ReflectionUtils.FieldFilter and(ReflectionUtils.FieldFilter next)
Create a composite filter based on this filter and the provided filter.

If this filter does not match, the next filter will not be applied.

Parameters:
  `next` - the next `FieldFilter`
Returns:
  a composite `FieldFilter`
Throws:
  `IllegalArgumentException` - if the FieldFilter argument is `null`
Since:
  5.3.2